function [dydt] = dydt_MAPK(y,tot)

k1          = 5;
Km1_P   = 20; 
Vm1      = 10;
Km1_M  = 20;

k2         = 3;
Km2_P  = 20;
Vm2     = 10;
Km2_M = 20;

k3         = 1;
Km3_P  = 20;
Vm3     = 10;
Km3_M = 20;

Kmf = 5; % Km feedback reaction

u = 1;

Raf0   = tot(1);
MEK0 = tot(2);
ERK0  = tot(3);

aRaf   = y(1);
aMEK = y(2);
aERK  = y(3);

iRaf   = Raf0-y(1);
iMEK = MEK0-y(2);
iERK  = ERK0-y(3);
dydt = zeros(3,1);

dydt(1)  = MMa(k1,Km1_P,iRaf,u)*Kmf/(Kmf + aERK) - MM0(Vm1, Km1_M,aRaf);
dydt(2) = MMa(k2,Km2_P,iMEK,aRaf)                        - MM0(Vm2,Km2_M,aMEK);
dydt(3) = MMa(k3,Km3_P,iERK,aMEK)                       - MM0(Vm3,Km3_M,aERK);
dydt      = dydt(:);

end

