function [dydt] = dydt_p53(y,varPAR)

ATMtot = varPAR(1);
k1 = 3;                  %10 in original version, changed to move signmoidal shape (ATMtot) near setpoint 
K1 = 0.5;
k2 = 5;
K2 = 0.5;

k3 = varPAR(2);
n5 = 5;
K5 = 0.1;
k4 = 1;
KD = 0.01;

k6 = varPAR(3);
n6 = 5;
K6 = 0.5;
k7 = 1;

%States
pATM  = y(1);
ATM    = ATMtot-pATM;
p53      = y(2);
MDM2 = y(3);

%Stimulus
u = 1;

%Reactions
v1 = k1*u*ATM/(K1+ATM);
v2 = k2*pATM/(K2+pATM);

v3   = k3;
G     = pATM^n5/(pATM^n5+K5^n5);
v4a = k4*(1-G)*(1+MDM2/KD)*p53;
v4b = k4*(G)*p53;

v6 = k6*p53^n6/(p53^n6+K6^n6);
v7 = k7*MDM2;

%odes
dpATM  = v1 - v2;
dp53      = v3 - v4a -v4b;
dMDM2 = v6 - v7;

dydt = [dpATM; dp53; dMDM2];
