

function [s0,s1] = simNoisyPerturbationExperiments_1control(dydt,y0,varPAR,kf,sn,se)

% Generates noisy global response coefficients. 
% sn = standard deviation for moultiplicative noise
% se = standard deviation for additive noise.

[ss0,ss1] = simPerturbationExperiments(dydt,y0,varPAR,kf);

% Number of perturbations
Np  = length(varPAR);
% Number of states
Ns  = length(y0);

% Add experimental noise
% Version 1: 1 control experiment for all perturbation experiments -> correlated noise
s0 = ss0.*repmat(lognrnd(zeros(Ns,1),sn*ones(Ns,1)), 1, Np) + repmat(normrnd(0,se,Ns,1), 1, Np); % steady state of the unperturbed experiment
s1  = ss1.*lognrnd(0,sn,Ns,Np) + normrnd(0,se,Ns,Np); % steady state of the perturbed experiments

end

