

function [s0,s1] = simNoisyPerturbationExperiments_3controls(dydt,y0,varPAR,kf,sn,se)

% Generates noisy global response coefficients. 
% sn = standard deviation for moultiplicative noise
% se = standard deviation for additive noise.

[ss0,ss1] = simPerturbationExperiments(dydt,y0,varPAR,kf);

% Number of perturbations
Np  = length(varPAR);
% Number of states
Ns  = length(y0);

% Add experimental noise
% Version 2: 1 control experiment for each perturbation experiment -> indipendent noise
s0 = ss0.*lognrnd(zeros(Ns,Np),sn*ones(Ns,Np)) + normrnd(0,se,Ns,Np); % steady state of the unperturbed experiment
s1  = ss1.*lognrnd(zeros(Ns,Np),sn*ones(Ns,Np))  + normrnd(0,se,Ns,Np);    % steady state of the perturbed experiments

end

